Package be.fgov.ehealth.genericinsurability.core.v1

# Class DetailType

java.lang.Object
be.fgov.ehealth.genericinsurability.core.v1.DetailType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:14:35+02:00", comments="JAXB RI v4.0.5") public class DetailType extends Object implements Serializable

Java class for DetailType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DetailType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="DetailCode" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="Location" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="Message" type="{urn:be:fgov:ehealth:genericinsurability:core:v1}MessageType" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DetailType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDetailCode()`
  Gets the value of the detailCode property.
  `String`
  `getLocation()`
  Gets the value of the location property.
  `MessageType`
  `getMessage()`
  Gets the value of the message property.
  `void`
  `setDetailCode(String value)`
  Sets the value of the detailCode property.
  `void`
  `setLocation(String value)`
  Sets the value of the location property.
  `void`
  `setMessage(MessageType value)`
  Sets the value of the message property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DetailType

    public DetailType()

- ## Method Details

  - ### getDetailCode

    public String getDetailCode()
    Gets the value of the detailCode property.
    Returns:
      possible object is `String`

  - ### setDetailCode

    public void setDetailCode(String value)
    Sets the value of the detailCode property.
    Parameters:
      `value` - allowed object is `String`

  - ### getLocation

    public String getLocation()
    Gets the value of the location property.
    Returns:
      possible object is `String`

  - ### setLocation

    public void setLocation(String value)
    Sets the value of the location property.
    Parameters:
      `value` - allowed object is `String`

  - ### getMessage

    public MessageType getMessage()
    Gets the value of the message property.
    Returns:
      possible object is `MessageType`

  - ### setMessage

    public void setMessage(MessageType value)
    Sets the value of the message property.
    Parameters:
      `value` - allowed object is `MessageType`